Diff of /misc/relchk.sh.in [6654cf] .. [a7b3f5]  Maximize  Restore

Switch to side-by-side view

--- a/misc/relchk.sh.in
+++ b/misc/relchk.sh.in
@@ -9,17 +9,21 @@
 logerror="$topdir/dist-errors"
 
 getdir() {
-  for file in `ls`; do
+  if test -r .relignore; then
+    filelist=`ls | grep -Fxvf .relignore`
+  else
+    filelist=`ls`
+  fi
+  
+  for file in $filelist; do
 
-    if test -d $file -a $file != "CVS" -a $file != $distdir -a $file != "autom4te.cache"; then 
-      (cd $file && getdir) || (cd ..) 
+    if test -d $file -a $file != "CVS" -a $file != $distdir; then
+      (cd $file && getdir) || (cd ..)
     else
       if test ! -d $file -a \
               $file != $log -a \
               $file != $logerror -a \
-              $file != ${0##*/} -a \
-              $file != "$distdir.tar.gz" -a \
-              $file != "config.status"; then
+              $file != "$distdir.tar.gz"; then
 
         orifile=`pwd`/$file
 

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks